<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>SE Code of Ethics</title>
	</head>
<print><i>Science and Engineering Ethics(2001)7,231-238</i></print>
	<hr>
	<h1> Software Engineering Code of Ethics and Professional Practice</h1>
		<h2>IEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h2>
	<hr>
	<p><b>Keywords</b>: code of ethics, professional responsibility, software engineering<br>
<h3>PREAMBLE</h3>
		<body>
			The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and details form a cohesive code.
		<br>
		<br>
			Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to health, safety, and welfare of the publice, software engineers shall adhere to the following eight Principles.
		</body>
<h3>PRINCIPLES</h3>
	<ol>
		<li><i>Public.</i> Software engineers shall act consistently with the public interest.</li>
		<li><i>Client and emploter.</i> Software engineers shall act in a manner that is in the best interest of their client and imployer, consistent with the public interest.</li>
		<li><i>Product.</i> Software engineers shall ensure that their products and related modifications meet the highest professonal standards possible.</li>
		<li><i>Judgment.</i> Software engineers shall maintain integrity and independence in their professional judgment.</li>
		<li><i>Management.</i> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
		<li><i>Profession.</i> Software engineers shall advance the integrity and reputaion of the profession consistent with the public interest.</li>
		<li><i>Colleagues.</i> Software engineers shall be fair to and supportive of their colleagues.</li>
		<li><i>Self.</i> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of profession.</li>
	</ol>
	<br>
<br>
</html>